# Uses of Interface
com.sun.source.tree.PrimitiveTypeTree

Packages that use PrimitiveTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of PrimitiveTypeTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type PrimitiveTypeTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitPrimitiveType(PrimitiveTypeTree node, P p)`
Visits a PrimitiveTypeTree node.

## Uses of PrimitiveTypeTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type PrimitiveTypeTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitPrimitiveType(PrimitiveTypeTree node, P p)`
Visits a PrimitiveTypeTree node.
`R`
TreeScanner.`visitPrimitiveType(PrimitiveTypeTree node, P p)`
Visits a PrimitiveTypeTree node.